<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>數字驗證</title>
    <script src="../../static/jquery/jquery-3.4.1.js"></script>
    <link href="../../static/style/common.css" rel="stylesheet">
</head>

<body>
    <div id="console" class="console"></div>



    <script>
        $(function() {
            var $console = $('#console');

            function isNumber(str) {
                var regExp = /^[0-9]*$/;
//                var regExp = /^[0-9]*[1-9][0-9]*$/; //正整數  
                if (regExp.test(str))
                    return true;
                else
                    return false;
            }

            function isInt(n) {
                return typeof n === 'number' && n % 1 == 0;
            }
            // or ,this support ie3
            function isInt(n) {
                return typeof n === 'number' && parseFloat(n) == parseInt(n, 10) && !isNaN(n);
            }

            function isFloat(str) {
                var regExp = "^(([0-9]+\\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\\.[0-9]+)|([0-9]*[1-9][0-9]*))$" //正浮點數
                if (regExp.test(str))
                    return true;
                else
                    return false;
            }

            var initPageView = function() {
                var text = "";
                text = 1290;
//                text = 1290.00;
//                text = "abc";

                var isTrue = isNumber(text);
                $console.text("isNumber : " + isTrue);
            }

            initPageView();
        })

    </script>
</body>

</html>
